#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n,d,k,v,pom=0;
    long long V;
    long long c;
    cin >> V ;
    c=V;
    for(long long i=10;c>0;i=i*10){
        n=c%10;
        c=c/10;
        if(n>=5){
            n=n-5;
            pom++;
            if(n>0){
                if(n>2){
                    n=n-2;
                    pom++;
                    if(n>0){
                        if(n>2){
                            n=n-2;
                            pom++;
                        }
                        else{
                            n=0;
                            pom++;
                        }
                    }
                }
                else{
                n=0;
                pom++;
                }
            }
        }
        else{
            if(n>0){
                if(n>2){
                    n=n-2;
                    pom++;
                    if(n>0){
                        if(n>2){
                            n=n-2;
                            pom++;
                        }
                        else{
                            n=0;
                            pom++;
                        }
                    }
                }
                else{
                n=0;
                pom++;
                }
            }
        }
    }
    cout << pom << endl;
    return 0;
}